| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Digikam::DbEngineConfigSettingsLoader Class Reference

## Public Member Functions
| DbEngineConfigSettingsLoader (const QString &filepath, int xmlVersion)
bool | readConfig (const QString &filepath, int xmlVersion)
DbEngineConfigSettings | readDatabase (const QDomElement &databaseElement)
void | readDBActions (const QDomElement &sqlStatementElements, DbEngineConfigSettings &configElement)

## Public Attributes
QMap< QString, DbEngineConfigSettings > | databaseConfigs
QString | errorMessage
bool | isValid = false